Home//Ticket States
Ticket States
Introduction
Changelog (v2.14)
Intercom API
Admins
AI Content
Articles
Away Status Reasons
Calls
Companies
Contacts
Conversations
Custom Object Instances
Data Attributes
Data Events
Data Export
Fin Agent
Help Center
Internal Articles
IP Allowlist
Jobs
Messages
News
Notes
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket Type Attributes
Ticket Types
Tickets
Visitors
Models
You can get a list of all ticket states for a workspace.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
- The production API serverhttps://api.intercom.io/ticket_states
- The european API serverhttps://api.eu.intercom.io/ticket_states
- The australian API serverhttps://api.au.intercom.io/ticket_states
curl -i -X GET \
https://api.intercom.io/ticket_states \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.14'successful
dataArray of objects(Ticket State)
A list of ticket states associated with a given ticket type.
Response
{ "type": "list", "data": [ { … }, { … }, { … }, { … }, { … }, { … } ] }